xserver-xorg-video-nouveau (1:1.0.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1095224).
    - Fix implicit declaration of wfbScreenInit (Closes: #1066968).
  * Stop building with DEB_BUILD_MAINT_OPTIONS=qa=-bug-implicit-func
    accordingly.
  * Drop patch added in version 1:1.0.17-2, applied upstream.
  * Add Matt Turner's key 16238A7D92448B02B7B10344B6B1CEAE5103DB07 to
    debian/upstream/signing-key.asc.
  * Switch to format 3.0 (quilt).
    - Drop quilt from Build-Depends and delete debian/README.source.
  * Change Homepage field to https://nouveau.freedesktop.org/.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 10 Feb 2025 17:59:49 +0100

xserver-xorg-video-nouveau (1:1.0.17-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libdrm-dev and quilt.
    + xserver-xorg-video-nouveau: Drop versioned constraint on libgl1-mesa-dri
      in Recommends.

  [ Sven Joachim ]
  * Build with DEB_BUILD_MAINT_OPTIONS=qa=-bug-implicit-func for now
    (Closes: #1066382).
  * Build-Depend on pkgconf rather than on pkg-config.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 15 Mar 2024 18:41:01 +0100

xserver-xorg-video-nouveau (1:1.0.17-2) unstable; urgency=medium

  * Fix build against xserver 21.1.
  * Build against new xserver.
  * watch: Update upstream git url.
  * Update README.source for salsa.
  * Bump policy to 4.6.0.
  * control: Drop automake, libtool from build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Feb 2022 12:58:49 +0200

xserver-xorg-video-nouveau (1:1.0.17-1) unstable; urgency=medium

  * Team upload.

  [ Timo Aaltonen ]
  * control: Migrate to x11proto-dev.

  [ Sven Joachim ]
  * New upstream release.
  * Explicitly specify source format 1.0.
  * Set Rules-Requires-Root to no.
  * Bump debhelper compatibility level to 13.
    - Build-depend on debhelper-compat (= 13) and drop debian/compat.
    - Drop the dh_missing override, redundant in that compat level.
  * Stop passing --disable-silent-rules to dh_auto_configure, redundant.
  * Remove NEWS.Debian, no longer relevant.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 24 Jan 2021 13:09:06 +0100

xserver-xorg-video-nouveau (1:1.0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Ilia Mirkin's key BFB9B0C276D5767C710086EFB178BE4EA075DE07 to
    debian/upstream/signing-key.asc.
  * Drop patch for #896979, applied upstream.
  * Refresh remaining patch 01-set-NV_DRIVER_DATE-from-ChangeLog.diff.
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 31 Jan 2019 21:17:23 +0100

xserver-xorg-video-nouveau (1:1.0.15-3) unstable; urgency=medium

  * Team upload.
  * Apply proposed patch to fix a null pointer dereference in
    drmmode_output_dpms() (Closes: #896979).
  * Cherry-pick commit 69aecdd305d ("modesetting: Validate the atom for
    enum properties") from upstream to fix another potential null pointer
    dereference.
  * Update Vcs-* fields to point at salsa.debian.org.
  * Use https in debian/watch.
  * Bump debhelper compat level to 11.
    - Drop dh-autoreconf from Build-Depends.
    - Bump quilt build dependency to (>= 0.63-8.2~) (see #851130).
    - Switch from "dh_install --fail-missing" to dh_missing.
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 25 Jun 2018 18:39:33 +0200

xserver-xorg-video-nouveau (1:1.0.15-2) unstable; urgency=medium

  * Team upload.
  * Suggest firmware-misc-nonfree, needed for acceleration on Maxwell
    and newer cards.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 21 Jun 2017 18:10:27 +0200

xserver-xorg-video-nouveau (1:1.0.15-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
    - Add support for Pascal cards.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 22 Apr 2017 09:33:48 +0200

xserver-xorg-video-nouveau (1:1.0.14-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
    - Provide acceleration support for Maxwell cards.
  * Add Lyude's key C5469FB8758F9C2B to debian/upstream/signing-key.asc.
  * Drop xserver-xorg-video-nouveau-dbg in favor of an automatic
    xserver-xorg-video-nouveau-dbgsym package.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 15 Mar 2017 17:53:03 +0100

xserver-xorg-video-nouveau (1:1.0.13-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick commit e9418e4343 ("Do not register hotplug without RandR")
    from upstream (Closes: #860756).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 21 Apr 2017 20:41:50 +0200

xserver-xorg-video-nouveau (1:1.0.13-2) unstable; urgency=medium

  * Team upload.
  * Cherry-pick commit 924083938c ("Consider CRTCs disabled when DPMS is
    off") from upstream.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 11 Mar 2017 09:00:49 +0100

xserver-xorg-video-nouveau (1:1.0.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Maarten Lankhorst's key FE558C72A67013C3 to
    debian/upstream/signing-key.asc.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 24 Sep 2016 11:46:20 +0200

xserver-xorg-video-nouveau (1:1.0.12-2) unstable; urgency=medium

  * Team upload.
  * Bump libdrm-dev build-dependency to (>= 2.4.60) as per configure.ac.
  * Drop redundant x11proto-gl-dev and mesa-common-dev build-dependencies.
  * Use https in the Vcs-* and Homepage fields.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 04 Jun 2016 09:31:14 +0200

xserver-xorg-video-nouveau (1:1.0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat level to 9.
  * Let uscan verify tarball signatures.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Remove myself from Uploaders.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 11 Dec 2015 17:27:01 +0100

xserver-xorg-video-nouveau (1:1.0.11-1) unstable; urgency=low

  * New upstream release (Closes: #760265).
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Remove Cyril Brulebois from Uploaders.
  * Update debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 06 Sep 2014 09:56:23 +0200

xserver-xorg-video-nouveau (1:1.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 07 Nov 2013 09:25:41 +0100

xserver-xorg-video-nouveau (1:1.0.9-2) unstable; urgency=low

  * Cherry-pick commit 1df177f35a05 from upstream to fix build
    failure on non-x86 architectures.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 31 Jul 2013 19:37:44 +0200

xserver-xorg-video-nouveau (1:1.0.9-1) unstable; urgency=low

  * New upstream release.
  * Remove patch 02-link-against-libdrm.diff, applied upstream.
  * Bump Recommends on libgl1-mesa-dri to (>= 9.0), AIGLX does
    not work with older versions.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 31 Jul 2013 18:09:09 +0200

xserver-xorg-video-nouveau (1:1.0.8-1) unstable; urgency=low

  [ Maarten Lankhorst ]
  * New upstream release.
  * Replace dependency on x11proto-xf86dri-dev with x11proto-dri2-dev.
    - Upstream removed dri1 dependency.

  [ Sven Joachim ]
  * New patch 02-link-against-libdrm.diff: link the driver against libdrm
    to avoid potentially insufficient dependencies (Closes: #633786).
  * Enable verbose build logs.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 14 Jun 2013 18:44:34 +0200

xserver-xorg-video-nouveau (1:1.0.7-2) unstable; urgency=low

  * Merge upstream master branch up to commit bf72ae1f65.
    - Fix zaphod setups (Closes: #708310).
  * Switch Vcs-* fields to anonscm.debian.org.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 08 Jun 2013 13:35:49 +0200

xserver-xorg-video-nouveau (1:1.0.7-1) experimental; urgency=low

  [ Maarten Lankhorst ]
  * New upstream release.

  [ Sven Joachim ]
  * Remove patch 03-fix-shaders-on-big-endian-machines.diff, applied
    upstream.
  * Drop get-orig-source target from debian/rules.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 30 Mar 2013 18:28:51 +0100

xserver-xorg-video-nouveau (1:1.0.6-1) experimental; urgency=low

  [ Sven Joachim ]
  * Bump build-dependency on libdrm-dev to (>= 2.4.40-1) and add an
    override for the resulting lintian warning.

  [ Maarten Lankhorst ]
  * New upstream release.
  * Remove 02-kms-edid-block-fix.patch, upstreamed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 07 Jan 2013 21:16:59 +0100

xserver-xorg-video-nouveau (1:1.0.4-1) experimental; urgency=low

  [ Maarten Lankhorst ]
  * New upstream release.
  * Drop 02-drm-nouveau-newabi.patch and require libdrm 2.4.34
  * add 02-kms-edid-block-fix.patch from upstream commit.

  [ Timo Aaltonen ]
  * watch: Use the .gz tarball, and update the url.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 26 Nov 2012 19:18:41 +0100

xserver-xorg-video-nouveau (1:1.0.1-5) unstable; urgency=low

  * New patch 03-fix-shaders-on-big-endian-machines.diff from
    Marcin Slucarz, fixes missing fonts on NV30 cards on powerpc
    (Closes: #699214).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 07 Feb 2013 18:14:24 +0100

xserver-xorg-video-nouveau (1:1.0.1-4) unstable; urgency=low

  * Cherry-pick some bugfixes from upstream:
    - exa: use CLAMP_TO_EDGE for RepeatPad.
    - shadowfb: fix segfault due to reading outside of shadow buffer.
    - dri2: Fix potential race and crash for swap at next vblank.
      (Closes: #686474)

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 17 Nov 2012 11:04:13 +0100

xserver-xorg-video-nouveau (1:1.0.1-3) unstable; urgency=low

  * Update NEWS.Debian, Debian kernels from 3.2.23-1 onward are
    sufficient for Fermi acceleration (Closes: #679557).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 26 Jul 2012 18:03:06 +0200

xserver-xorg-video-nouveau (1:1.0.1-2) unstable; urgency=low

  * Cherry-pick commit d1bc38b ("nv40/exa: fix shaders on big-endian
    machines") from upstream (Closes: #679127).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 07 Jul 2012 09:31:04 +0200

xserver-xorg-video-nouveau (1:1.0.1-1) unstable; urgency=low

  [ Maarten Lankhorst ]
  * New upstream snapshot.
    - Bump to 1.0.1 release.
    - Pick up a firefox tab draw fix for nv50 cards.

  [ Sven Joachim ]
  * Actually look for upstream releases in debian/watch.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 20 Jun 2012 17:56:51 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20120614+36d3f8c-1) unstable; urgency=low

  [ Maarten Lankhorst ]
  * New upstream snapshot. Picks up a EXA fix for pre-nv50 cards.
  * Cherry pick the silence flip event patch too to reduce spam.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 16 Jun 2012 17:30:53 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20120529+ace77b6-1) experimental; urgency=low

  [ Maarten Lankhorst ]
  * New upstream snapshot. First one to have the new ABI.
  * Add 02-drm-nouveau-newabi.patch to build with old libdrm
  - Until mesa 8.1 is released, we cannot build with new libdrm yet

  [ Sven Joachim ]
  * Mention in NEWS.Debian that Linux 3.4 is currently necessary to
    provide acceleration for Fermi cards.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 02 Jun 2012 19:30:08 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20120322+ab7291d-1) unstable; urgency=low

  [ Julien Cristau ]
  * Add Dm-Upload-Allowed control field to allow Sven to upload this package.

  [ Sven Joachim ]
  * New upstream snapshot.
  * Update README.Debian:
    - Nouveau moves out of staging in Linux 3.4.
    - Generalize the firmware section.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 May 2012 15:17:37 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20111201+b5534a1-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot.
    - Default color depth is now 16bpp for low memory cards, so it should
      be possible to use high resolutions with them (Closes: #585651).
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Don't claim that the driver is experimental in the description.
  * Recommend libmesa-gl1-dri (>= 7.11.1) for the 3D drivers.
  * Update README.Debian:
    - No need to uninstall nvidia-glx anymore, you can select the mesa
      alternative with "update-alternatives --config glx".
    - Linux 3.1 includes free firmware for some Fermi cards.
    - Drop section about lack of DRI and 3D support.
  * Use dpkg-buildflags to set compiler flags.
  * Update debian/copyright.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 02 Dec 2011 15:06:30 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20110411+8378443-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot.
    - Fixes sluggish rendering of X core fonts (Closes: #614938).
    - Better support for NVC0 (aka Fermi) cards. Linux 2.6.38 and not readily
      available firmware is required for acceleration, see README.Debian.
    - Bump build-dependency on libdrm-dev to (>= 2.4.24) due to
      libdrm-nouveau API changes.
  * Drop patch 03_work-around-exa-hangs.patch.  Affected users should upgrade
    their kernel to 2.6.36 or newer.
  * Update README.Debian:
    - Former nvidia-glx users should remove the libgl{1,x}-nvidia-alternatives
      packages which divert the Mesa/Xorg files in Squeeze and later.
    - Drop vga16fb from the list of incompatible drivers, KMS handover should
      work as of Linux 2.6.35.
    - Don't mention nv anymore, it has been removed from Debian.
  * Drop unnecessary leading asterisk from NEWS.Debian.
  * Drop the sample xorg.conf, no longer needed.
  * Build against Xserver 1.9.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 12 Apr 2011 01:33:01 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20101210+8bb8231-2+exp2) experimental; urgency=low

  * Rebuild against Xserver 1.10 rc3.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 25 Feb 2011 15:46:57 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20101210+8bb8231-2+exp1) experimental; urgency=low

  * Rebuild against Xserver 1.10 rc2.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Feb 2011 20:59:59 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20101210+8bb8231-2) unstable; urgency=low

  * Switch to dh:
    - Use debhelper 8.
    - Use dh-autoreconf.
    - Get rid of debian/clean accordingly.
    - Bump xserver-xorg-dev build-dep for dh_xsf_substvars and xsf
      debhelper sequence.
  * Remove xsfbs accordingly.
  * Update Uploaders list. Thanks, Chris & Matthew!

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Feb 2011 14:52:43 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20101210+8bb8231-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot.
    - X server 1.8 or higher is now required.
    - Bump build-dependency on libdrm-dev to (>= 2.4.23) due to
      libdrm-nouveau API changes.

 -- Julien Cristau <jcristau@debian.org>  Tue, 04 Jan 2011 11:59:17 +0100

xserver-xorg-video-nouveau (1:0.0.16+git20100825+390f1c8-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot.
  * Bump build-dependency on libdrm-dev to (>= 2.4.21-2~) to ensure that
    we keep building against the experimental libdrm.
  * Bump Standards-Version to 3.9.1, no changes needed.

  [ Christopher James Halse Rogers ]
  * debian/patches/03_work-around-exa-hangs.patch:
    - Revert a commit which removes a work-around for EXA hangs; we do not yet
      have the associated kernel commit in our tree.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Aug 2010 23:21:29 +0200

xserver-xorg-video-nouveau (1:0.0.16+git20100518+4b8f1a0-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot, with uevent support.
    - Add build-dependency on libudev-dev.
  * Build against updated librm, kernel 2.6.34 is now required.
    - Bump build-dependency on libdrm-dev to (>= 2.4.20-3~).
  * Add a NEWS.Debian for that problem and update README.Debian.
  * Add myself to Uploaders.

 -- Julien Cristau <jcristau@debian.org>  Wed, 26 May 2010 13:28:28 +0200

xserver-xorg-video-nouveau (1:0.0.15+git20100329+7858345-5) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fix Vcs-Browser URL, thanks to Petr Vorel (Closes: #596217).

  [ Sven Joachim ]
  * Update README.Debian:
    - Drop section about enabling the X driver, it has been the default
      for four months already.
    - Only recommend to reboot before switching to the blob, the
      KernelModeSetting page in the nouveau wiki has instructions how
      to do this.  Also mention nv as incompatible with nouveau.
  * Restrict the package to Linux architectures for now, other kernels
    do not have the necessary DRM/GEM/KMS infrastructure.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 17 Oct 2010 03:26:59 +0200

xserver-xorg-video-nouveau (1:0.0.15+git20100329+7858345-4) unstable; urgency=medium

  * Update xsfbs and use new ${xviddriver:Depends} substvar.

 -- Julien Cristau <jcristau@debian.org>  Sat, 15 May 2010 12:04:08 +0200

xserver-xorg-video-nouveau (1:0.0.15+git20100329+7858345-3) unstable; urgency=low

  [ Sven Joachim ]
  * Add a README.Debian describing various possible problems.
  * Update xsfbs to 8bd2e9b523da35493db1bd781d4ef6bfbbeb2eff.

  [ Cyril Brulebois ]
  * Merge above changes by Sven, thanks!
  * Mention in README.Debian that nouveau might be preferred above nv in
    the next future if everything goes well.
  * Some cards (nv50) used to need some firmware, but starting with
    linux-image-2.6.32-4-$arch packages built from linux-2.6 2.6.32-11,
    there's no need for any firmware. Since it's a transient matter, only
    mention it in this changelog, and only mention the general case in
    README.Debian.
  * Given that we've got documentation now, and given we received positive
    feedback through debian-x@, let's be confident and upload this to
    unstable. Many thanks to the early testers!

 -- Cyril Brulebois <kibi@debian.org>  Fri, 16 Apr 2010 00:59:08 +0200

xserver-xorg-video-nouveau (1:0.0.15+git20100329+7858345-2) experimental; urgency=low

  * Add a debug package: xserver-xorg-video-nouveau-dbg.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 04 Apr 2010 21:06:46 +0200

xserver-xorg-video-nouveau (1:0.0.15+git20100329+7858345-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream snapshot, compatible with xorg-server 1.7 (Closes: #568168).
  * Ship an upstream changelog generated from "git log".
  * Do not include other generated files in the .orig.tar.gz,
    run autoreconf at build time instead.
  * Update xsfbs to 2a1b4553fc2c5ba982e8bb8be4c504e28ce79ed1.
  * Remove dependency on linux-nouveau-modules, current Debian kernels
    already include a nouveau module.
  * Fold long (Build-)Depends lines in debian/control.
  * Bump Build-dependencies on xserver-xorg-dev and libdrm-dev.
  * Drop conflict with nvidia-glx.  As long as one does not run
    applications that require a library that nvidia-glx diverts, the
    drivers can coexist peacefully.
  * Provide a minimal example xorg.conf.
  * Bump Standards-Version to 3.8.4, no changes needed.

  [ Cyril Brulebois ]
  * Use build/ instead of obj-$(DEB_BUILD_GNU_TYPE)/.
  * Delete the .la file after make install and use dh_install's
    --fail-missing instead of --list-missing, just to make sure.
  * Pass --warnings=6 to dpkg-shlibdeps because of the plugin status.
  * Add upstream ChangeLog:
     - Remove ChangeLog from .gitignore file.
     - Run “git log > ChangeLog” against the upstream branch to generate
       it, as it's done for other drivers.
  * Use quilt to apply patches, and make clean depend on xsfclean to make
    sure everything gets cleaned up, and patches unapplied.
  * Add patch:
     - 01-set-NV_DRIVER_DATE-from-ChangeLog.diff to make sure to pick
       NV_DRIVER_DATE from the ChangeLog instead of the output of git log.
  * Add myself to Uploaders.
  * Upload to experimental, with many thanks to Sven!

 -- Cyril Brulebois <kibi@debian.org>  Sat, 03 Apr 2010 15:00:01 +0200

xserver-xorg-video-nouveau (1:0.0.10~git+20090701+c0bf670-1) experimental; urgency=low

  * New upstream snapshot.
    - c0bf670... wfb: fix stupid thinko + more safety
    - a12cb5c... bios: oops
    - e66867e... bios: use image from PRAMIN in preference to PROM on NV50
    - 42c5730... wrap BlockHandler a little earlier
    - 09e663a... kms: safer fb resize func
    - 90be5d5... wfb: use straight memcpy hook if no tiled wraps present
    - 86d905d... wfb: be more cautious in a few places
    - 1bcbc4b... kms: small cleanup
    - c2d3550... kms: fix rotation buffer pitch
    - 6fd9829... kms: point rotation pixmap at correct buffer
    - 67f8ebe... nv50: create non-linear scanout buffers for rotation
    - b7e3306... Add DVI-A output info for Mac card missing bios tables
      (#21273)
    - 01b19c9... nv50: sigh
    - 4d9e63b... wfb: "mode0" tiles have the same pitch as the others
    - 02ed6b6... wfb: work-around wfb suckage
    - 669c59e... wfb: need a 64-bit datatype for multiply_factor
    - 86dedb7... fix some pitch issues
    - 794a277... nv50: use libwfb for pixmap access when driver pixmaps
      enabled
    - 11d9690... exa: use the sane CreatePixmap hook, if available
    - 6ee4533... xv: fix some issues with driver pixmaps
    - 67c5287... exa: wait_marker becomes a NOP with driver pixmaps
    - f44e528... nv50: make use of larger tile sizes
    - 30c44ce... exa: create unacceleratable pixmaps (ie. 1bpp) in system
      memory
    - 1aa22d5... nv50: use non-linear scanout buffer when driver pixmaps
      enabled
    - 13d8d49... nv50: use tile_mode from bo
    - bd9f5f2... exa: fix compile against latest libdrm_nouveau
    - 5f97afe... randr12: split from pre-randr12 structs into new header,
      de-typedef
    - 0c17b87... Move head getting into nouveau_hw.c
    - 12314fa... randr12: improve uniformity of props code
    - b541c1c... Remove "TMDS table script pointers not stubbed" bios warning
    - 8af5028... Remove useless loader symbol lists.
    - 317b581... randr12: disable lvds (invalidate all modes) if bios lvds
      parsing fails
    - e897191... randr12: better behaviour (avoid crash) when fp native mode
      can't be found
    - 0316748... randr12: line length improvements
    - b60c16c... Simplify tests for digital fp outputs
    - 992d4b5... randr12: a bunch of trivial improvements and tidyups
    - 6f0a324... Fix oopsy from 81bbdd4e causing broken framebuffer
    - c579918... randr12: fix two colour cursor on second head
    - 81bbdd4... explicitly mark buffers mappable
    - 6c09ad5... Tolerate missing fp bios table (rh#502371)
    - db9ff95... kms: clip sw transition dims to smallest common area
    - 2688c97... don't run vbios parser when kms enabled
  * Bump Build-Depends on libdrm-dev.
  * Bump Standards-Version to 3.8.2.

 -- Chris Lamb <lamby@debian.org>  Sat, 04 Jul 2009 21:00:34 +0100

xserver-xorg-video-nouveau (1:0.0.10~git+20090519+9656762-1) experimental; urgency=low

  * New upstream snapshot (Closes: #526144, #524456)
    - 9656762... nv50: fix multiple-display hangs when encoders swap crtcs
    - d70eed9... randr12: fix digital dpms regression
    - 1072103... exa: use exaDriverAlloc() to prevent issues across exa
      changes
    - 8502a80... Fix server regeneration again
    - 7a796a9... randr12: off-chip lvds for nv28 (rh#487456)
    - 5959512... 'drmCheckModesettingSupported' implicit function declaration
      fix
    - f62719e... Unused variable warning fixes
    - c8260ef... Fix crash with Xinerama enabled
    - 1a478ed... randr12: de-magic ramdac general control values
    - 6c209a8... randr12: pre-nv17 load detection
    - 3971dda... randr12: fix fp_control again again again
    - 0ef1603... randr12: solve off-chip encoder crtc exclusion in prepare,
      rather than dpms
    - 0447ce0... randr12: simplify nv11 digital encoder-crtc binding
    - f69b34a... nv50: return immediately in GetDDCModes if no DDC on
      connector...
    - 45e1618... bios: use NV_ARCH_50 to match G8x chips
    - 3d61697... nv50: remove reading back vbios-programmed lvds native mode
    - bade249... nv50: group encoders into connectors by i2c port
    - 9ee2ac1... bios: remove dodgy mode-table search for g80
    - 6282574... bios: modify get_fp_strap() for g80
    - 09b832e... nv50: merge NV50SorSetClockMode and NV50SorSetClockModeLVDS
    - ed2c185... bios/nv50: initial parsing of display script tables, not
      quite complete
    - 3fccc9e... bios: some nv50 init scripts have flags in reg values, deal
      with (1<<30)
    - 2b4b3da... bios: dcb location is only 2 bits
    - 7b5bfff... bios: parse BIT U table
    - e4260ec... randr12: more use of logging abstraction in modesetting code
    - 4d0fdba... randr12: fix for off-chip dual link digital (enable extra
      wide interface?)
    - bb246d7... Partial fix for nv28 lvds bios parsing (part of rh#487456)
    - 2915926... plls: max_log2p_bias is likely actually max_log2p
    - 47bb00f... nv50: missed a WAIT_RING
    - 523ccec... nv50: use vbios-programmed lvds mode as native mode if no ddc
    - fa2f111... Remove pNv->GART conditional for selecting CB_LOCATION in
      AGP/PCI
    - 7100c06... kms: fix displayWidth in resize
    - ef2de25... do e-edid for legacy modesetting path
    - d8545e6... bios: logic typo from earlier commit
    - 960a5c8... nv50: modify ddc<->nvreg assignments again..
    - 3a6c709... kms: fix setting the randr edid property
    - a1194b3... bios: fix typo
    - 11451ca... bios: some G8x don't have PBUS at 0x1800, us 0x88000
      unconditionally there
    - 62d69bd... bios: add exception for chipset 0x73 for lack of fp table
    - 620d519... consistent connector naming across <nv50, nv50 and kms
    - a5d45c8... randr12: set 1 on cr59 for off-chip digital, 0 otherwise
      (#21023, rh#492399)
    - d63c924... randr12: unlock CR21 *after* turning off digital output
    - 11be9a9... nv50: fix i2c port addresses
    - e2aa037... randr12: fall back to standard timings when finding native
      mode (rh#492819)
    - 6965663... randr12: fix hw cursor for fully transparent pixels
    - d12f70c... randr12: pre-nv17 digital fixes
    - ea567db... randr12: fix restore for cards where CR21 is not left
      unlocked at POST
    - bd263d8... randr12: make nv11 dvi work for both crtcs
    - 52c287d... Every card since nv5 can do panels
    - 3d371a7... randr12: enable tmds reg access on pre-nv17
    - 1bb85c8... randr12: reorder ramdac reg access
    - 4465fdd... randr12: remove nv30 special case
    - 72eced5... randr12: fix/improve a load of version/feature tests
    - 37c6916... bios: fix chips with pll limits table version 0
    - 76c5a05... bios: xf86DrvMsg->NV_ERROR
    - b1b9bcb... bios: support for pll limits table v3.0
    - 8c85b4b... kms: CONNECTORn -> CONNECTOR-n
    - 4e1c323... Restore call to NVDRIGetVersion, to ensure the dri module is
      loaded
    - c973f75... Abstract logging in nv_bios.c
    - b17bebd... nForce DIMM check is now in DRM
    - 9c991d3... randr12: FP_TG_CONTROL 2: dpms improvements
    - 5fb2888... randr12: FP_TG_CONTROL 1: turn off digital path when using
      VGA encoder
    - 8023dc3... Split DCB 1.5 parsing from 2.0+, get closer to 80 cols
    - ea027b3... The dcb prior to v1.5 is pretty hopeless, just add a crt.
    - 921fbcc... randr12: avoid nv11 chip lockup when saving palette regs
    - 9d46930... xv: oops
    - 9213c39... xv: post damage after we draw (rh#492239)
    - d68a052... kms: small cleanup
    - c9cb6a6... rh#492511 has a CRTC_OWNER of 0x7 for some reason
    - 95bff61... randr12: fix LVDS legitimately disconnected case
    - f86e395... randr12: permit vga outputs to be force enabled in xorg.conf
    - 8427b39... randr12: move a load of hw mode programming into nouveau_hw.c
    - 163bdce... Turn the smaller mmio wrappers into static inline
    - 21ee927... Put arbitration and mnp calcs in separate file
    - 83dc890... nv50: use E-EDID when available + apply edid quirks
    - 2c130cf... nv50: fix xf86GetDefaultModes() call for older servers
    - f1907dc... nv50: add default modes to mode pool for LVDS panel
    - 7da6fdb... kms: fix bug which prevented getting edid from the kernel
    - f431e20... randr: fix crash when rotation requested
    - 36dedd0... kms: check for mm_enabled as an additional test for kms
      presence
    - a923bc1... nv50/xv: correct rendering to partically obscured windows
    - 01cee29... nv50: call NVSync() in CloseScreen() before restoring video
      mode
    - aa7c037... kms: implement AdjustFrame, should fix crash in fdo#24236
    - 61879b8... kms: drm_mode_modeinfo struct changed names at some point
    - 79306fc... dri: fail harder
    - da1ba93... device close doesn't belong in DRI close, can have DRM
      without DRI
    - 56b11c7... Fix mouse cursor disappearing when near top/left edge of
      screen.
    - 4067ab4... another ppc fix
    - 862dba8... more ppc..
    - 3063486... fix ppc build
    - d80fe78... Fix nouveau_hw_decode_pll on NV30/35.
    - 62aa81d... Some laptop mode finding fixes resulting from rh#487456
    - aa6edfa... randr12: name VGA CRTC fields
    - 7b7c44c... randr12: rename reg state members to follow reg names
    - 4ae6c22... randr12: name some FP flags, move some unrelated stuff out
      from nvreg.h
    - b50b49f... pre-nv50: use nvidia's names for PRAMDAC regs where known
    - a9df304... pre-nv50: use nvidia's names for PCRTC regs where known
    - 2c0710d... Separate maximum limits for encoder devices and i2c records,
      DCB_ prefixes
    - 0db27a6... Add DCB 1.5 entry from a GeForce2 Go reported by Martin
      Ketzer on the ML
    - 3e7fa97... dri: pass object handle instead of offset if using real mm
    - 88efe40... dri2: initial implementation, only with driver pixmaps
    - 675126e... kms: support framebuffer resize if driver pixmaps enabled
    - 8b354b9... kms: copy old fb to new fb on modeset
    - 6658403... Call NVEnterVT from NVScreenInit rather than duplicating it.
    - f59fef1... exa: fix multiple prepare/finish_access on a pixmap
    - 75a1c41... Wrap bios endian casting
    - 3666d73... Switch to using pll_vals struct for passing pll stuff around
    - a3dbc06... randr12: cull old unused pll code
    - 71c821b... Don't pointlessly overallocate cursor storage
    - 7284c07... randr12: nv10 hw cursor fixes/changes
    - bcc3a14... randr12: use nv0x cursor colour expansion funcs on later
      cards, unify argb paths
    - b21c807... randr12: store nv0x hw cursor image in VRAM
    - 3ea4b19... Kill pre-randr12 hwcursor code, and tidy randr12 hwcursor
      code
    - b988160... Remove calls to load ddc and i2c modules -- they're built-in
      since server 1.3
    - d5893ec... Hack around missing display table in rdivacky's GeForce 7050
      PV/nForce 630a
    - 369e1ef... Fix xserver shutdown for randr12 off
    - 8343d6b... Remove bios lvds parsing pxclk test; ddc_permitted is a
      sufficient condition
    - 8b56c69... Name some regs/values and reduce crtc reg struct size
    - 79d23d8... improve drm/dri initialisation code
    - bd14482... kms: cleanup set_property
    - 7a45592... kms: get current values for output properties on startup
    - 7095e89... kms: work around some xserver stupidity with DPMS
    - 8f9a580... Another DCB 1.5 entry (seen in rh#455194)
    - 9a71990... randr12: add output properties for digital vibrance and
      image sharpening
    - 678ddc2... randr12: functionate output properties creation
    - ed9bd88... kms: remove early-exit from gamma_set, the kernel side works
      now
    - 98c9e4e... kms: work around some bong hits with dpms
    - 88ae2c9... kms: implement dpms
    - 5269cc8... randr12: make props code slightly less awful to behold
    - 0b87c49... More robust PLL upclocking for old cards
    - cb237a3... bios/randr12: mode validation fixes (includes fix for #20298)
    - 9cfccd7... Handle failure to calculate pll values better
    - 1e99440... xv: return BadAlloc if destination pixmap is not put into
      EXA offscreen (#15792)
    - 77347da... Remove duplicated DCB parsing
    - 1b6cabe... Remove VBIOS access in parse_dcb_entry
    - 72fd0ae... randr12: no need to re-detect edid for lvds, it's not going
      away
    - ae981a8... nv50: some minor modesetting changes
    - 42f99e6... nv30/xv: restore original viewport/clipping after putimage
    - 56bb8f8... Allow parse_fp_mode_table for x86 cards that find themselves
      on ppc
    - 1c2f33e... Don't rely on the bios mobile feature bit for BMP biosen
      (#19986)
    - e436c7e... randr12: make treatment of CR4B more closely resemble blob's
      behaviour
    - c61102b... Parse bios fp mode during modesetting, removing extra alloc
    - 631e15a... Get dual_link and dithering bios info through lvds table
      parsing function
    - 2d43771... Call parse_lvds_manufacturer_table during modesetting only
      (#19986 partial fix)
    - ce8f5d7... Variety of LVDS script changes
    - 071d537... Read embedded bios edid only on demand
    - f04689c... move memset of fb after NVSave(), hopefully fix lost VGA
      fonts
    - 6961efb... kms: fix check for xf86drmMode.h
    - 76fa656... Detypedef bios_t, rename bios io functions, group various
      helper functions
    - 39c9d02... Move parsed DCB to bios structs, split into public and
      private parts
    - 275daaf... Split bios struct into struct for nv_bios.c, and exported
      public info struct
    - 8b3e966... Remove never updated bios opcodes 0x31, 0x5A and 0x73
    - ce9eb05... Trivial bios convenience variable changes
    - cfeef11... exa: forgot to check if EXA_SUPPORTS_PREPARE_AUX was defined
    - 37a85dc... exa: we support PREPARE_AUX
    - 1249fd2... Revert "exa: support major version 3"
    - 1c4a284... Rework PLL decoding in terms of pll_vals, save/restore
      pll_vals on vt switch
    - 81b4732... New common struct for pll values
    - adf2e35... Check whether NV_RAMDAC_580 has changed when setting PLLs
    - b7f99ae... exa: support major version 3
    - d91fc78... kms: fix resize func
    - 535498b... clear the scanout buffer on statup to avoid seeing garbage
      on-screen
    - 0227673... nv50/exa: properly align offset for mem_tile ioctl
    - e09f50e... bios/randr12: fix dual link TMDS (#20006)
    - b968db7... Return of "bios: fix create_i2c_device for g80"
    - 0a439ba... Parse DCB before running init
    - 870b6f0... Split parsing and init into separate functions
    - 0280a0c... Attempt to remove pNv and bios_t use in parsing the DCB
    - 9179c66... Variety of DCB enhancements
    - 317ca47... Revert "bios: fix create_i2c_device for g80"
    - 7b25a30... nv04: unbreak copy
    - 60c8bb1... default to autodetecting whether to enable the driver's kms
      paths
    - a31b1d0... exa: reimplement driver-controlled pixmaps
    - d97e993... exa: preparation for reintroducing driver-controlled pixmaps
    - 1e00c7d... shadowfb: clip copied regions to frontbuffer size.
    - efe2796... nv50: correct a poorly written comment
    - 2573c06... exa: remove exaWaitSync() call in nouveau_exa_pixmap_map()
    - 5000535... exa: don't need exaMarkSync on DFS, the operation will be
      done already
    - a7e7c55... xv: remove notifier usage
    - 8ecb8d5... exa: remove notifier waits in UTS/DFS
    - cfb884b... bios: add some more valid regs
    - ca72ca2... bios: fix create_i2c_device for g80
    - bbd7041... bios: implement opcode 0x76 (INIT_IO_CONDITION).
    - 5dd2cbe... exa: add nouveau_exa_pixmap_is_tiled
    - 15ccf72... randr12: anti-crash measures for #19854
    - 17e9d4b... randr12: use bios PLL setting routines for modesetting
    - e444e0e... Readability improvements for nv_hw.c and nvreg.h
    - f5ea66c... Pull in extras from CRTC PLL code to bios routines
    - 4166365... Pull out ramdac580 setting and powerctrl_1 shift code to
      separate functions
    - 8b70418... Miscellaneous fixes to bios PLL code
    - 01bb4c1... Make PROM score badly, out of available bios images, if
      checksum bad
    - 30848dd... randr12: bodge-in continuous timings when the scaler is in
      use (#19203)
    - 0387ac3... Allow reading of PROM and PCI rom on PPC (for people using
      x86 cards)
    - 6ad66c0... bios/randr12: be strict about when to use modes from bios vs
      modes from ddc
    - b5391eb... Simplify FP strapping semantics and trust bios parsing of
      use_straps_for_mode
    - 34c2b15... bios/randr12: misc (mainly lvds related) clarifications and
      cleanups
    - 98b8cad... Always allocate 2 hw cursors.
    - f109981... Fix a few warnings.
    - 691589d... Fix some cursor fallout, mostly in legacy code.
    - 945f0cb... kms: update drmmode_display
    - ba1f897... keep resources around after leavevt, far too problematic
      currently
  * Bump Standards-Version to 3.8.1.
  * Bump build dependency on libdrm-dev to 2.4.11.

 -- Chris Lamb <lamby@debian.org>  Wed, 20 May 2009 10:17:53 +0100

xserver-xorg-video-nouveau (1:0.0.10~git+20090205+4dfd0b1-1) experimental; urgency=low

  * New upstream snapshot (Closes: #514080)
    - 4dfd0b1... oops
    - e02813a... link against libdrm_nouveau (installed with libdrm)
    - 2c06308... require drm 0.0.12
    - 29aa134... fix NoAccel from when map/unmap became stricter
    - 62adc55... Revert "Improve the NoAccel situation, but it's not working
      yet."
    - 285027a... Improve the NoAccel situation, but it's not working yet.
    - 5e63c78... Revert "nv50: make entire offscreen area tiled, use extra
      blits to scanout buffer"
    - 6c3f8da... nv50: make entire offscreen area tiled, use extra blits to
      scanout buffer
    - 6179102... nv10: use the correct 3d object on NV1A
    - dfd87ec... xv: Unmap filter table BO after init so it can be validated
      (nv30,40)
    - b8de749... Avoid any risk of parsing oscillation on if_is_24bit
    - 0a0bb72... Split up parsing the bit structure, complain when necessary
      tables are missing
    - 2d86018... Swap the order of calling parse_fp_mode_table and
      parse_lvds_manufacturer_table
    - 8c6b3a8... Make calling of init bios functions common
    - 9b32034... Don't read obviously useless bios images, and drop 5x
      reading on PROM
    - 63aa210... Implement bios I2C opcode 4E (untested)
    - a81f159... Handle I2C device 0xff fallback for I2C bios opcodes
    - 34e967e... Fix pasta error in bios opcode 4D
    - 786dd36... Fix nv04+ IFC upload and frag prog upload
    - 3ab65cf... add vm_vram_base field to nouveau_device instead of
      hardcoding 512MiB
    - d833c81... nv50/xv: previous xv commit was bonged - fix that
    - 0f741eb... exa: small cleanup
    - c10c3c9... exa: mass renaming and movement of nv04 solid/copy code to
      nv04_exa.c
    - 81ace5d... exa: remove driver pixmaps path that never worked here anyway
    - 4b1829e... exa: remove NVCopyROP table..
    - 410788d... blow up horribly if GPU access to mapped buffer is attempted
    - 4c9346b... bo_del->bo_ref, closer to ng api
    - c533f86... exa: same for UTS state
    - 02677c0... exa: ensure DFS state is updated across flushes
    - 69d02bc... nv50: remove some redundant init, this stuff is done as
      required now
    - 60aea90... nv50: forgotten buffer access flags during init
    - 5a382dd... nv10/exa: resubmit state in composite as needed
    - d4ff8db... nv30/exa: resubmit state in composite as needed
    - b71ebcb... nv40/exa: resubmit state in composite as necessary
    - 6ddaddb... exa: rework common pre-nv50 code in the same way nv50 code
      just was
    - f36fa31... nv50/xv: ensure entire frame will fit in pushbuf without
      causing a flush
    - 1b48331... nv50/exa: ensure buffer usage is tracked correctly
    - 7e64426... remove unconditional FIRE_RING() in DoneComposite() hooks
    - 34fc446... hack a flush_notify() hook in to match ng
    - d9da090... Drop GPU resources on LeaveVT, reaquire on EnterVT
    - 1eb8b87... Enable ShadowFB for DRM-less mode.
    - 4874638... Allow NoAccel operation without the DRM module present.
    - f78aeed... if CARD_INIT ioctl fails, report it instead of continuing
    - cf65b87... Fix stupidity introduced in
      25de6b867f319099dac05ba84f170da0f0e6c803
    - 55e9cdd... Split out a function for finding the panel power sequencer
      stuff
    - 1b3546b... Move the bios flat-panel pointers back into the bios struct
    - d29c481... Remove a BITism from BMP parsing path, and move old style
      BMP init into common path
    - 3e971f6... randr12: lock independent crtc base registers separately
      (#19620)
    - ffbca72... randr12: code motion and allow ramdac580 setting on nv40
    - 75a0376... randr12: better selection of nv4x single pll mode and some
      notes
    - 767fcea... randr12: no mmiotrace indication that the blob ever clears
      these bits
    - 985ac72... randr12: no mmiotrace evidence for nv47 using the special
      pll bits
    - 3ef6b41... twoStagePLL is actually a description of cards using two PLL
      regs
    - c7a423a... nv04 blitter: use correct number of dma params for real nv04
    - 25de6b8... Complain more about weird bios images
    - 4d72981... randr12: avoid classic macro error
    - 133c1a5... No need of separate allocation for bios image
    - 8a25049... Make turning on bios execution logging slightly easier
    - 54d43c4... nv50: small fix
    - 5c9f8d3... nv50: Add a fallback for non-repeating XRGB pixmaps.
    - 0321e67... nv50: don't segfault if preinit fails before display setup
      done
  * Don't include .git in .orig.tar.gz.
  * Replace "(C)" in debian/copyright with "©" to appease lintian.
  * Replace usage of `dh_clean -k` with dh_prep.

 -- Chris Lamb <lamby@debian.org>  Thu, 05 Feb 2009 00:21:35 +0000

xserver-xorg-video-nouveau (1:0.0.10~git+20090105+7dc567d-1) experimental; urgency=low

  * New upstream snapshot
    - 7dc567d... nv50: correct size/layout of uploaded data
    - 159c18c... Make CHECK_TIMEOUT() a little more correct.
    - 5d281a2... nv04-nv4x: support RandR 1.3 panning
    - 3c4705c... Implement bios opcodes 4C and 4D
    - 1fd60f2... Group all DCB I2C info for a given bus in a structure
    - 31c9958... nv50: implement get_crtc
    - f7a7578... nv50: implement set_origin (mostly used for panning)
    - 74b2e4e... configure: Avoid compiling drm modesetting code by accident.
    - d104f14... nv50: Improve lut code.
    - 20f93a9... randr12: pass cursor visibility changes through mode state
      structures
    - 763e0f8... randr12: allow ddc while crtc is locked
    - 9d8bd45... Punt all bios structs and defines into a new header
    - a34a2c0... Do not attempt to parse FP mode tables for Mac laptops
      (#18636)
    - 1aba513... nv50: program physical addresses into CRTCs, not VM
      addresses.
    - 65b956f... randr12: fix stupidity from 539f4990
    - 1666e85... nv50: use bios provided load detect value
    - a020a44... bios: support g80 loadval table
    - 220cbb6... nv50_randr: plug a small memory leak
  * Update Build-Depends on libdrm-dev.

 -- Chris Lamb <lamby@debian.org>  Mon, 05 Jan 2009 02:43:34 +0000

xserver-xorg-video-nouveau (1:0.0.10~git+20081028+cea05e1-1) experimental; urgency=low

  * New upstream snapshot (Closes: #503541)
    - cea05e1... randr12: make colour-map setting less complex
    - 0e4b01a... randr12: convenience functions for vga crtc state access
    - fe9bfd9... Tidy EnterVT, and don't call it from ScreenInit
    - 3e1ccff... Condense crtc locking
    - 83b541e... Common function for the bios condition table
    - 36c6aa4... Allow more time in INIT_CONDITION_TIME (#18234)
    - bf810b3... More warnings for C51's magical unaligned regs
    - d481b5e... Rework bios parser error handling
    - 387f308... RivaTuner dumps call the `how much memory have I got?' reg
      NV_PFB_CSTATUS
    - bb20175... pedantry fix for nv11 locking, and some minor cleanups
    - 9aecc42... Add a function to lock/unlock all crtcs, use it in nv_bios
      code
    - 48581da... Attempt to make the usage of cr44 rational instead of
      cargoculted
    - 1c7bee9... Robust nv11 head setting (from mmiotrace)
    - cf5162b... randr12: update scrn field on server regen, and emit an error
      if rotated
    - 13739cf... randr12: don't change virtualX/virtualY
    - 98a4dcb... Delete notifiers and grobjs in CloseScreen to avoid channel
      member becoming stale on server regeneration
    - 12fce00... Remove all object with mmaps in CloseScreen, so that
      drmClose actually calls the drm release method
    - 8e3f27a... No reason to call AccelCommonInit twice in ScreenInit, but
      calling it in EnterVT helps resume...
    - f495fa9... nouveau_channel_free should remove mmaps made in
      nouveau_channel_alloc
    - 1cedb8e... Do frag prog allocation and shader upload in TCL init
    - 9e2c089... Only hackup shaders once
    - afc6668... cr26 is just another view of 0x3c0
    - 539f499... Use symbolic define values where known
    - 791666a... Convert CIO, DIO and VIO use to use defines from nvreg for
      index and data reg offsets
    - a1b7f8d... Rename relevant functions, sizes and offsets to PRM.IO from
      P.IO, in keeping with the nvidia scheme
    - 267c0ee... Name crtc index regs according to rules.xml
    - 9261c34... SaveGeneration isn't doing a lot
    - c29c190... Replace a few memsets with initializers
    - 3b53f6c... Eliminate separate NVRec ctor and dtor
    - 1b18db2... randr12: remove pointless debug in nv_output and nv_crtc
    - 240d51d... randr12: deBoolification and eliminate `override' arg to
      nv_crtc_load_state_ext
    - b95c3e2... Make all CR 57/58 access use the proper functions and defines
    - 9988ae5... Redo bios logging
    - 0e6a9cc... Improve some nv_bios messages, remove others
    - b175bfc... Bios register list is easier to read when sorted numerically
    - e51b49c... randr12: panels with edid have only a constant mode
    - 765494e... Remove unnecessary "Setting owner" message
  * Bump Build-Depends on libdrm-dev.

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Oct 2008 07:44:02 +0000

xserver-xorg-video-nouveau (1:0.0.10~git+20081012+3b53f6c-1) experimental; urgency=low

  * New upstream snapshot:
    - bf585ad... The fifo channel should be removed along with closing of the
      fd, so only clear the client memory.
    - 8b7e424... git-log is no longer valid for git 1.6, switch to git log.
    - 933fd80... Some fixes that bring me closer to surviving to the 2nd X
      server generation.
    - daee3c3... randr12: separate cursor pixmap location setting function
    - caf2e92... Move cursor show/hide funcs to nv_hw, document nv40 bug, and
      set curctl2 before applying nv40 fix
    - f76074c... Use correct refclk for nv_get_clock, and use bool type as
      appropriate in arbitration
    - bd5b807... Tidy arbitration prototypes and split randr12 cursor pixmap
      setting from arbitration
    - 5dc41fd... Merge nv4, nv10 and nForce UpdateArbitrationSettings
      functions
    - 0ffd012... Add PCI slot reading defines, and use them for nForce code
    - 520a76e... Some tidying of arbitration functions
    - 3ceb2b6... Reindent arbitration stuff
    - d7439fc... Wrap usleep when called in bios code
    - 62cf9f3... randr12: don't use in use (by another vga output) crtc for
      load detect (avoids flicker)
    - f1d0fd0... Better behaviour on allocator fail
    - 2b67015... randr12: reorder nv_output functions
    - 9f4eef0... randr12: distinguish detected encoder from active encoder
    - 549cda1... Reduce includes, everything necessary is in nv_include.h
    - 30eaa0f... Oops.
    - 2481e56... Optimizing memory usage for unaccelerated case is not
      interesting
    - 19f0ea6... randr12: rename mon -> edid
    - 0cb0817... randr12: crtc destroy
    - 37adca1... Need to increment dcb entry index when fabricating
      additional entries
    - e6b6d8c... Also remove man page entry.
    - cb1e9c1... NV50: remove {Prepare,Finish}Access since i realise now it's
      not so useful
    - 3e397f5... NV50: The TMDS dual link threshold is meaningless for LVDS
    - 599d258... randr12: multiple encoders per connector (DVI-I)
    - 5e8ac84... nv50: 0xa0 family uses class 0x8397 for 3D
    - 9c36eef... randr12: avoid weirdness when tv-out happens to share
      i2c_index with another output
    - 144b04a... randr12: fix dpms, detect, destroy, save and restore for
      multiple encoders per connector
    - 2b30b89... randr12: re-do detection of dvi-a vs vga
    - 50bac3f... randr12: unify output funcs for analogue and tmds
    - 69e30e6... randr12: unified entry path for dpms
    - a794a0c... randr12: nouveau_output -> nouveau_connector
    - 0a5119b... randr12: separate encoder struct
    - 352b8fd... Another DCB 1.4/1.5 TV (#17471)
    - e8ba4e0... Only use OF bios image on PPC
    - 54b8a7e... nv50/exa: work around corruption issues (see detailed commit
      msg)
    - f8c0af3... Partly revert ea152819f45b6cf92f6742ed3f9f639cdbbd53f0,
      alignment is needed.
    - ea15281... exa: align offscreenBase to something sensible
    - 95c19b9... Add 8200 detection.
    - 6dd8ad4... nv50: solid fill shouldn't use a pattern rop + minor changes
    - b2b726d... randr12: merge output detection functions
    - a223e58... randr12: remember the edid from detection for getting modes
      later
    - 16d9e89... randr12: detypedef private structs and use a define to get
      to the privates
    - 3b3f3cd... Remove unused code
    - 1e2b87c... randr12: make the nouveau experience less green
    - f89af0e... nv50: micro cleanup
    - 94bf106... nv50: do ROPs properly this time
    - 6bd14e4... nv10: composite is an async operation by default, no need to
      call exaMarkSync().
    - 9f11d13... exa: FIRE_RING at the end of composite
    - 137d099... nv50: move VERTEX_{START,END} to {Prepare,Done}Composite
    - 34dc05f... nv50: minor tweaks to composite
    - eca9977... nv50: handle ROPs better
    - e468df8... nv50: clip SIFC and add {Prepare,Finish}Access hooks.
    - 0c0c1ab... randr12: don't cache pll values (fixes newrestore removal
      regression)
    - 544fd3c... Remove some of the inaccuracies in the manpage
    - e3d9cb9... NV_ARCH_04 can have rotated output, it's just not accelerated
    - 40e920f... Delete ShadowFB rotation
    - 6352d7d... Bye bye 8 bit depth
    - 33d52e4... CrtcNumber option is long gone
    - a9393a8... Micro-tidyups to nv_driver and nouveau_xv
    - 8ed30d0... randr12: a few line length improvements
    - 666ab70... Kill some 8 bit code.
    - bee8450... Fix IFC for 16bpp. Also fix the color accuracy of 16bpp
      solid fills.
    - 609b10f... 0x48 exception does not apply on BIT cards
    - a9e2d47... randr12: some code simplification, rearrangement and tidying
    - 5715f95... NewRestore: remove, due to lack of interest
    - d2e924e... randr12: remove another field member
    - 55f490c... randr12: fpWidth and fpHeight no more
    - 4cbbd44... randr12: improve aspect scaling code
    - 8a36468... randr12: for native scaling, a clock check isn't enough
    - 8793bb1... Apply minimum front porch only when necessary (#15949)
    - 83bb26f... NV50: disallow doublescan modes on TMDS/LVDS
    - 7d5b345... NV50: extra warning message
    - 743c696... NV50: a half decent attempt at doing something when LVDS has
      no DDC
    - fcbaa10... Forgot something.
    - 628acdd... NV50: support extended i2c ports (4 and 5)
    - c845f5a... nv50: fix some of the rendering bugs
    - 1828820... Redo parsing for panels with EDID, and fix nv3x in the
      process (#17138)
    - c9d4e86... Try harder to load a good vbios image
    - ae59478... Deal with mobile cards that scribble over the fp strap at
      POST
    - 7766706... Fix a 16bpp issue, also remove old code that mostly worked
      around core EXA issues in older xservers.
    - 6854f81... NV50: Disable messages from hide, show and load cursor, as
      they clutter the logs.
    - 4b24be8... xv: fix thinko from when source was reformatted
    - 30f54f2... g3dvl: Temporarily disable IDCT.
  * Update maintainer email address.
  * Add dummy debian/watch file to appease lintian.
  * Rework long description to include a pointer to module-assistant; it seemed
    to be confusing some users (eg. #494755)

 -- Chris Lamb <lamby@debian.org>  Sun, 12 Oct 2008 19:39:14 +0100

xserver-xorg-video-nouveau (1:0.0.10~git+20080803+30f54f2-1) experimental; urgency=low

  * New upstream snapshot:
    - 89d7864... nv50: fix mystery typo
    - c0b67f3... remove use of implicit variables from pushbuf macros
    - 80278c9... g3dvl: Basic XvMC initialization.
    - 1f8e27f... NV50: I was proven wrong quicker than i thought, reinstate a
      slightly prettier hack.
    - 41d46f5... NV50: forgot something
    - 1b90524... NV50: my best guess at the lvds bios table, time will tell
      if it's correct for more than a few cases
    - f3ec6e0... nouveau: fix macro as pointed out my moondrake on irc
    - 6652e9c... nv50: support YUY2 in textured video adaptor
    - 3534f40... nv50: remove 32bpp solid fill fallback
    - 87f7d1f... Revert "NV50EXA: read the notes + cleanup + enabled 32bpp
      solid fill"
    - ba7c239... NV50EXA: serious brain fart of my part, sorry
    - 0b6249f... NV50EXA: read the notes + cleanup + enabled 32bpp solid fill
    - edbfbd0... EXA: put NOUVEAU_FALLBACK in a do { } while (0), fixed opera
      corruption for me.
    - 36d1308... NV50_KMS: some basic scaling and dithering output property
      support
    - 022a9ed... nv50: no more sync in composite() :)
    - 6d8096c... nv50: sync after composite for the moment
    - c68d880... nv50: punt vertex emission macro out to header
    - 4ad74cb... exa: missed a reloc delta
    - 98a9056... nv50: remove acquire/release surface stuff
    - f0305a2... exa: rename m2mf locals to prevent some confusion
    - 140c36e... randr12: fix dithering output property endian issue (#16624)
    - b36802f... Fix for #14858 - freebsd compile. Someone still needs to fix
      the kernel part though.
    - 6f5e90a... nv30: more header name changes...
    - 4b8427a... nv30: more bustage from header update
    - 1672a78... nv30: un-change something that somehow changed in an earlier
      commit. oops!
    - dae5958... nv50: exa/xv share some stuff, punt it out to nv50_accel.[ch]
    - 17fbd81... nv50: Xv support
    - ec45278... nv50: de-magic things before someone accuses me of being an
      NVIDIA employee
    - ad56c5e... nv50: exa composite
    - 33fad27... nv50: tile offscreen pixmaps
    - 5c1deac... exa: pass window coords to m2mf-based UTS/DFS
  * Update dependency on libdrm-dev. Move to ">=" relation to make package
    binNMU safe.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sun, 03 Aug 2008 17:34:24 +0100

xserver-xorg-video-nouveau (1:0.0.10~git+20080706+b1f3169-1) experimental; urgency=low

  * New upstream snapshot:
    - b1f3169... xv: remove some disturbing abuses of buffer related things
    - 0ce028b... EXA: add a pixmapIsOffscreen hook.
    - 86c70df... NV50_KMS: support gamma changes
    - 6de89c8... NV50: Unaccelerated rotation support.
    - 788fefa... NV50_KMS: Unaccelerated rotation support.
    - 2bc1cb8... Revert "EXA: Add PixmapIsOffscreen hook for EXA versions
      that allow it."
    - 5a5aee1... EXA: Add PixmapIsOffscreen hook for EXA versions that allow
      it.
    - b9f2358... xv: remove some defines that are in a header now
    - 9f53b2a... xv: remove drawable handling from hw-specific PutImage..
      it's common...
    - a50bba6... xv: misc cleanups
    - 08e9489... NV50_KMS: minor change
    - ea7e85b... Fix some compile warnings.
    - 3298249... xv: reformat source so mere mortals can understand it
    - a1e8ccd... xv: nv_video.c to nouveau_xv.c
    - 3e17781... NV50_KMS: autodetect kernel modesetting when active
  * Update dependency on libdrm-dev.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sun, 06 Jul 2008 20:26:53 +0100

xserver-xorg-video-nouveau (1:0.0.10~git+20080702+48c2116-1) experimental; urgency=low

  * Re-upload latest snapshot fixed copyright in various upstream files
    after REJECT. (Closes: #418889)
     - 48c2116f... NV50_KMS: no int10 please
     - 11102af2... Backport console font save/restore from nouveau_ms
     - ca2c55df... randr12: fix mode detection for when screen size changes
     - 9c6eb667... NV04-NV4E: Save and restore FB_START
     - 82fe9a21... NV50_KMS: switch to output dpms
     - 13ce1f4c... Properly close drm when exiting + misc cleanup.
     - 7cb0eed6... Fixup and add some license statements.
     - 27c7c884... change hack to work with latest drm changes..
     - 99a4b686... NV50: unbreak kms and implement a basic off mode/dpms
     - 1a23dbd1... nv50: stub out NV50SorSetClockMode for LVDS, it doesn't work
       there
     - 2ccc80bd... nv50: bring in int10-constole-restore hack from nv driver
     - 73b4fcc2... fix non-kms build/run
     - 75d8947d... NV50: Some basic code to get kernel modesetting going.
     - df52dc46... No need for G80+ LVDS conf bits reports
     - 1813559a... More DCB 1.5 TV variants (#16252 and #16342)
     - 29c4a58b... Be a little more discerning about the BIT bios signature
     - e8c79072... LVDS_INIT should not always use head A
     - fc137f23... NV50: lvds is probably still broken, but it's a step in the
       right direction
  * Add Vcs-Git and Vcs-Browser fields to debian/control
  * Bump Standards-Version to 3.8.0 (no changes).

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 03 Jul 2008 00:35:47 +0100

xserver-xorg-video-nouveau (1:0.0.10~git+20080602+e034616-1) experimental; urgency=low

  * First upload to Debian experimental based on Christopher James Halse
    Rogers's packages for Ubuntu (Closes: #418889)
  * debian/control:
    - Set Maintainer to Debian X Strike Force, add Matthew Johnson and myself
      to Uploaders.
    - Bump Standards-Version to 3.7.3
    - Add Homepage: field
  * debian/rules:
    - Misc. cosmetic changes
  * Update debian/xsfbs/xsfbs.{mk,sh}
  * Update debian/copyright.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Mon, 26 May 2008 04:56:08 +0100

xserver-xorg-video-nouveau (1:0.0.10~git20080521-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * c21594c... NV50: Be consistent with rules-ng.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 21 May 2008 17:58:14 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080519-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 19 May 2008 09:06:43 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080516-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 16 May 2008 12:08:43 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080511-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 9c1d87f... NV50: Some misc things.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 11 May 2008 16:53:10 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080509-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 5f08db9... Cosmetic g80 laptop dcb parsing enhancement
  * 6a460ea... randr12: some reordering, tidying &c
  * 7455bc8... Enable RandR 1.2 code-path by default
  * 98a751e... Don't call call_lvds_script with a null dcbent pointer
  * 77b24bc... randr12: tidy up some nv50 remnants in the pre nv50 code

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 09 May 2008 06:58:34 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080507-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 8997f83... NV50: Some misc fixes.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 07 May 2008 20:04:31 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080506-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * ae574ec... nv50_exa.c had no license statement.
  * a7af057... NV50: Rework the modesetting code into a different model.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 06 May 2008 10:19:29 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080505-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 05 May 2008 07:54:42 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080503-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 5e1b570... xv: nv10 double-buffered overlay mode was getting set on
    nv04

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 03 May 2008 18:03:10 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080501-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 8553602... Use the actual number of BIT table entries
  * 78588c7... randr12, xv: manual overlay clipping for randr12 (see
    #12825)
  * 6f7d00a... randr12: remove unneeded separate dcb_entry and "or"
    members
  * 52e58c7... Pass DCB entry structs in bios functions, rather than
    index
  * 0c1da69... Pass output field, rather than dcb indices, for tmds
    access functions
  * 2333bc9... Add an index field to dcb entries, and carry pointer to
    dcb entry in output struct
  * 21f062c... randr12, xv: oops, transform_in_use doesn't exist on
    xserver 1.3
  * ee78dc0... randr12: C51 I2C
  * 9b70dfa... randr12: only set cr59 to 1 for tmds (fixes nv34 issue)
  * c8cec9b... randr12, xv: no overlay when the crtc is transformed
  * 3233ebb... randr12: fix spread spectrum setting for lvds and turn it
    off during dpms off
  * 467f83a... randr12: make nv50 code depend on Architecture
  * 8b16572... CR27 appears to contain the chip revision

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 01 May 2008 18:27:52 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080429-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 29 Apr 2008 11:03:34 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080428-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 28 Apr 2008 09:51:41 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080424-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 24 Apr 2008 19:29:54 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080423-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 23 Apr 2008 07:08:36 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080422-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 22 Apr 2008 08:27:56 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080421-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 21 Apr 2008 09:13:55 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080419-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 19 Apr 2008 12:23:19 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080418-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 18 Apr 2008 08:41:34 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080417-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 17 Apr 2008 08:54:14 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080416-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 16 Apr 2008 06:58:15 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080414-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 14 Apr 2008 07:36:41 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080413-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 61e4161... NV50: Another few regs.
  * 5328370... NV50: Some more regs.
  * e5511a5... NV50: I now know what UNK8A8 is, so update the value
    register as well.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 13 Apr 2008 15:57:44 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080412-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 2c90276... NV50: Re-implement output status caching.
  * d7681e8... randr12: separate pll and arbitration stages of
    calc_state_ext, and call from mode_set directly
  * 0bf08d7... state->config is not used
  * 08b8bd8... randr12: unite pre nv40 and nv40 pll restore
  * 5b44308... Use the correct reference clock when reading (V)PLLs
  * 0f533b8... Various PLL code improvements

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 12 Apr 2008 12:47:15 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080411-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 4e1caa6... NV50: Some misc stuff.
  * 0991281... nv50: fix distcheck since header removal
  * 4af376f... MCP67 does not do the second stage gain tests
  * dbca8b6... PLL stuff
  * 39b2e0b... If no PLL coefficients compatible with the constraints
    exist, don't brick the hardware

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 11 Apr 2008 08:26:46 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080408-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 0b54450... NV50: Scaling works fine on VGA connectors, so support
    that as well.
  * 891e72f... NV50: Deobfuscate some more commands.
  * 13c701f... Make some CARD32 die.
  * a3a0710... NV50: Give a few registers an UNK label.
  * be72a7c... randr12: NV04/05/06 can't accelerate rotation, so it's
    better to disable it.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 08 Apr 2008 07:27:18 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080407-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 9cf76c9... NV50: Some more stuff.
  * c725e33... NV50: minor rename to avoid confusion
  * fcda539... NV50: Deobfuscate another register (partially).
  * fa93541... NV50: Fix another deadlock in the clock setting code.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 07 Apr 2008 08:14:12 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080406-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * c001fea... Forgot a few things.
  * 17a8e17... NV50: rename randr-1.2 functions to be
    nv50_something_function
  * a71ef4d... NV50: Some more cleanup.
  * aeab563... NV50: Some reordering.
  * b899ab7... Some minor corrections.
  * b0ef158... NV50: Document dvi hotplug detection.
  * be54b92... NV50: Remove some questionable guesses.
  * c06f202... nvbios: Drop a N2/M2 requirement on NV5x hardware, as it
    prevents getting a mode on 1024x768'ish and lower.
  * 5ce26b9... nvbios: Add some valid register ranges for nv50.
  * ce86484... NV50: Switch to common pll calculator function.
  * 821ad3d... randr12: delete stuff commented out a week ago that no
    one's complained about
  * e90e534... NV50: Minor comment updates.
  * 0855098... NV50: Some more stuff.
  * ef4339a... NV50: Some more registers.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 06 Apr 2008 12:15:38 +1000

xserver-xorg-video-nouveau (1:0.0.10~git20080404-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 3183df1... NV50: Update my knowledge of interrupts.
  * 04fd80d... Small declaration reordering
  * 92934e4... Move some variable declarations in the bios parser
  * 9273840... randr12: some fixes to dithering property
  * 52c880c... randr12: better analogue clock limits (taken from pNv-
    >{Min,Max}VClockFreqKHz)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 04 Apr 2008 08:06:15 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080403-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 29714e7... NV50: Some minor changes to the display supervisor
    (mostly comment).
  * 9ac32d3... Some bios parser PLL writing improvements
  * 4a192ea... NV50: Add my name to some files.
  * db6220b... randr12: since the crtc function records are now mutable,
    unify pre nv50 templates
  * b9762ba... randr12: don't provide rotation functions in NoAccel case
  * a24ab3d... Revert "randr12: Fail rotation in NoAccel case."
  * 33d4c2f... Add quirks for Apple *book backlight
  * 8a3f051... NV50: Some more things.
  * b33317e... randr12: Fail rotation in NoAccel case.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 03 Apr 2008 07:39:02 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080402-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * d017dfa... NV30/35 setPLL bios support
  * 32f550a... NV50: Fix a minor cursor issue.
  * 27e819d... NV50: Add some debugging statements to important
    functions.
  * 9985793... NV50: Some i2c stuff.
  * 9199307... Use new PLL reading code
  * a3f82d9... Unified PLL reading
  * 350fb20... randr12: get_clock_from_crtc only necessary for TMDS
  * f741bf7... Better PLL limits for some nv3x
  * 94ca195... randr12: deal with nv30 and nv35 PLLs individually
  * 626d8d6... Init global gamma on all crtc's, even if they are
    currently not in use.
  * f54cea5... NV50: Some clock related cleanups + minor changes.
  * 7393d8f... NV50: Some misc cleanup.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 02 Apr 2008 18:12:56 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080331-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 9edf6d6... randr12: different handling for sel_clk for pre and post
    nv40
  * 84ab4be... Minor tidyup to output merging
  * 1fe1d81... Kill a useless register offset.
  * 75680d7... NV50: remove unneeded function
  * 263ec94... NV50: Some minor cursor cleanups.
  * 86722ad... NV50: Deobfuscate some of the modesetting, a few things
    were hidden away in innocent looking variables.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 31 Mar 2008 17:25:29 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080330-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 633a8f4... randr12: make sel_clk behaviour match comment (which
    seems to be correct)
  * 7a8bbb7... Fix Apple backlight code, broken in pci-rework conversion
  * 4d0974c... Consistency fix
  * acd0078... It seems wise to NVSync for all hardware on NVLeaveVT.
  * ea27bc3... NV50: Better safe than sorry.
  * d4ca83e... randr12: shrink pitch alignment stuff and move
  * 43ff98c... randr12: tidy-up 3/3 - TMDS04 twiddling
  * 9491ee3... randr12: tidy-up 2/3 - DPMS CR57/58 twiddling
  * 2e001c1... randr12: tidy-up 1/3 - FP_DEBUG_0 twiddling
  * ec9fa3c... randr12: allow doublescan and low clock modes
  * 048f310... Minor fix to lvds script caching commit
  * 3feaa48... NV50: Implement per CRTC gamma correction.
  * 77af887... randr12: correct SEL_CLK register beheaviour for outputs
    with or=2
  * cb5d4cd... Cache running of LVDS scripts, rather than blocking
    LVDS_RESET

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 30 Mar 2008 08:54:05 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080325-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 25 Mar 2008 08:07:48 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080323-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 23 Mar 2008 09:55:36 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080321-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 6924d1a... NV50: Although not essential, it's nicer to save a
    register as uint32_t.
  * 1042c2b... NV50: Some more stuff.
  * b58e5e9... NV50: Educated guesses at some of the control registers.
  * ef25cb9... NV50: Forgot some more stuff.
  * 64b3d1a... NV50: Forgot something.
  * 81929c1... NV50: More dehexing.
  * ee1ac06... NV50: Some more dehexing.
  * ca1b8bb... NV50: Some more register guesses.
  * aa99fb0... randr12: do DPMS off better
  * 063b393... Optimizations on LVDS script code
  * c520364... randr12: unbreak LVDS and primary I2C for < NV50
  * ebc75dc... NV50: fix i2c for real
  * c6e3a6f... NV50: Fix a typo and hopefully fix i2c.
  * a989b4c... NV50: Fix major thinko in "NV50: kill output_resource and
    use or directly."
  * cd5aaea... NV50: Handle some things that weren't fixed during
    rebase.
  * f73c236... NV50: kill output_resource and use or directly.
  * de0fc0e... NV50: Mostly resorting regs.
  * 849bab7... NV50: Some more educated guesses at register names.
  * 0244dc1... NV50: Another subtle difference.
  * 5e2d220... NV50: Fix a potentional bug.
  * cef158c... NV50: Share output properties.
  * 31e7a74... randr12: Implement dithering output property.
  * 05f0464... NV50: Merge output creation and i2c init.
  * 285a13a... NV50: Merge crtc creation.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 21 Mar 2008 17:39:28 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080320-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * c5dac45... randr12 offbyone debug commitnoise
  * 4cd5e43... randr12: remove NVGetOutputFromCRTC
  * 27c21c0... randr12: split out fp-only registers
  * c09d190... randr12: better handling for output types in nv_crtc
  * 78ded96... randr12: remove duplicated regs
  * f701376... randr12: fix noscale scaling mode
  * a9c01ef... Misc startup info mostly duplicated the state storage
    stuff
  * a02f82e... randr12: make output parsing consistent
  * f04c44e... G80 I2C parsing
  * 718e424... randr12: make nv_crtc_calc_state_ext definition smaller
  * 772bf76... randr12: merge common PLL paths
  * 1326e01... randr12: make plls belong to their CRTCs
  * 97b0748... Use PMC defines
  * ee11c6a... randr12: Let an unneeded quirk die.
  * 8851d9f... randr12: sel_clk values are really an FP thing, so move
    calculation to nv_output
  * 63527f9... randr12: tidy up output restore
  * 769436b... randr12: common tmds access functions
  * c455ca0... Improve bios' handling of ramdac_580

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 20 Mar 2008 08:28:35 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080314-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * bd5ad7c... NV50: Accept G9X cards.
  * 0318b31... NV50: Add back output_resource.
  * a439756... NV50: Unbreak "NV50: Kill the connection status caching
    (which was broken btw)."
  * 63ffb8d... NV50: Merge the two output private structs.
  * b4c3bee... NV50: rename scale to scaling_mode
  * b0d2f93... NV50: Rename nativeMode
  * e5b8efa... NV50: Rename or to output_resource.
  * 19ca2db... NV50: kill set_pclk
  * eef3a66... NV50: Remove the remnants of cached_status.
  * dc0bb59... NV50: kill partner entry
  * f664637... NV50: fix warning
  * cb50cd3... NV50: Kill the connection status caching (which was
    broken btw).
  * 6e2af71... NV50: change i2c to pDDCBus
  * d07b306... NV50: Switch to other scaling defines.
  * 4ddb92b... NV50: Switch to the same output type as the rest of the
    code.
  * e605fbf... randr12: nothing uses output_resource. kill it
  * 53925cf... randr12: fix the setting of NV_RAMDAC_OUTPUT
  * 493c794... Simplify TMDS writes a little

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 14 Mar 2008 09:12:59 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080313-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 4cf1bd9... randr12: don't allow scripts to break overlay
  * 95f2b84... Fix video overlays to treat double-scan correctly when
    using randr12

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 13 Mar 2008 08:17:11 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080311-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 460cb26... Correct RAMIN offset
  * e8a5d46... randr12: changing tmds2 for dvi-d seemingly unnecessary
  * 30ddbe9... randr12: unbreak sel_clk changes
  * 03f3872... randr12: allow spread spectrum bits to be updated on pre
    nv40
  * 323b7ef... randr12: quirk for 17" powerbook, and better sel_clk
    handling
  * 58f9079... nv_type.h mandates XF86DRI being declared

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 11 Mar 2008 21:10:14 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080310-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 0dbffc8... Fix up a bunch of prototypes, remove unused wrappers

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 10 Mar 2008 09:32:32 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080309-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * e5ded02... Move setting of alphaCursor to nv_setup, and restyle
    useful portions of nv_setup
  * 0b8629a... Kill NVFBLayout
  * 29cfb08... Warning fixes
  * b87059f... Drop the NV*VGA defines and adjust users
  * a636b02... randr12: Disable a quirk that has adverse sideeffects on
    NV36M.
  * f422886... Merge CRTC private structs.
  * b3d0d0c... Death to some unnecesary stuff.
  * 03a7a1d... Various minor tidyups

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 09 Mar 2008 14:49:00 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080308-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 624148c... NV50: Convert back to absolute registers.
  * 10bdffb... PLL limit table v0x11
  * 2e1af24... Make bios init code work on 6600 by changing pll setting
    stuff a bit
  * 5fd2dd7... It seems libpciaccess release became version 0.10 not
    version 0.10.0
  * 3e4db03... randr12: Forgot to clean up when switching output
    resources.
  * 8a5c6e8... Do not access beyond source pixmap in NVAccelUploadIFC
  * 7afb739... Oops.
  * 0da8c84... randr12: workaround for xserver randr bug, where the
    hwcursor always gets displayed after a mode change
  * c424144... Fix my nv10 cursor.
  * 633047c... randr12: A major rework of output resource conflict
    handling.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 08 Mar 2008 09:37:48 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080307-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * c523096... randr12: Readd some useful information about how an
    output is routed.
  * 97ac866... randr12: Kill almost all usage of ErrorF + some misc
    cleanup.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 07 Mar 2008 09:03:44 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080306-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * ea8fba2... randr12: don't reset panel unnecessarily for mere
    backlight control
  * 22ec355... randr12: remove switchable_crtc stuff
  * 3b0a1a1... randr12: if no ddc, return XF86OutputStatusUnknown, for
    !twoHeads and nv11
  * 424500c... randr12: do not change CR43 from its initial value
  * a764d3c... Give some defines more consistent names.
  * 234ce16... Use the BMP structure's I2C info, instead of DCB 1.2's,
    as marcheu's bios is broken
  * bb5429f... Add another DCB 1.4 entry
  * 5998ba0... Don't zero out i2c_read and i2c_write
  * 2d74bcb... Put braces around a bitmask.
  * c7ab8e8... Add an LVDS output setup quirk for Powerbooks
  * fd9b37b... randr12: Only change vpll value when needed.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 06 Mar 2008 11:16:08 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080303-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 89882b4... randr12: Keep the gamma values when setting a new mode,
    instead of always resetting to default.
  * e8c363b... Improve link_head_and_output
  * 4a16414... nv30: Remove fix that is useless now, and maybe broken in
    some cases

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 03 Mar 2008 14:18:58 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080229-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 5cb1648... Less magical way of setting dual link on EDID equipped
    panels
  * 1127974... NV40EXA: Support extend/repeat type pad.
  * 6980d0e... Add default dual link transition frequency
  * 27e2e55... Deal with pre-nv40 laptops with EDID

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 29 Feb 2008 15:24:57 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080225-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 41992eb... Revert dummy commit
  * 073d852... Dummy commit

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 25 Feb 2008 10:10:47 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080221-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 5db7920... Use some of nv_hw's functions in nv_bios.c
  * fa8891e... Unbreak console restore again, and use a less ambiguous
    function name for head locking
  * 38d42a7... randr12: rename NV*VGA functions for api consistency
  * c77a547... xv: don't crash on init
  * cf963a1... randr12: Only NV11 needs byteswapping + NV11 uses
    premultiplied cursors i think.
  * 87f1676... NV30/40TEX: Create two adapters, one with fancy
    filtering, the default without.
  * 7ee1bb4... randr12: make more hw funcs generic
  * 11de8d7... Use fp strapping to determine whether straps are used for
    flat panel modes
  * c1ac6b9... Rehabilitate bios opcode 6d
  * afb4230... Spruce up NV04 bios parsing a little
  * dfabaab... More DCB v1.5 entries
  * 2a4373d... Treat 0x4 and 0x8 bits in LVDS DCB v2.0 configuration as
    meaning the same thing

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 21 Feb 2008 11:48:39 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080219-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * daa557c... Fix PPC DFS/UTS by using PCIgart.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 19 Feb 2008 10:21:36 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080218-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 18 Feb 2008 09:10:19 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080217-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * f8f4692... dri: fix broken display in some cases

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 17 Feb 2008 09:31:24 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080215-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * a293f32... Fix bios pll setting regression
  * 7121fe9... Use a loop to read RAMIN bios image, rather than memcpy
  * 3ad7c35... randr12: reorder some variable declarations in nv_crtc
    and nv_output

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 15 Feb 2008 08:37:31 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080213-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 13 Feb 2008 09:47:23 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080212-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 12 Feb 2008 21:44:19 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080211-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 11 Feb 2008 08:17:55 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080209-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 09 Feb 2008 10:23:02 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080208-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 6cb8fb6... Ordering mechanism for BIT table parsing, and (hopefully)
    automagic laptop detection

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 08 Feb 2008 10:26:50 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080207-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 4f69023... Replace a const with its name.
  * 75c5912... Fix bad debugging in NVWritePVIO().
  * 50da8b8... Fix UV swapping on PPC.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 07 Feb 2008 18:57:03 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080206-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 4ff11d1... Missed out "DEBUG" part of the name in the define
  * 181ee3b... Load correct PLL limits for single stage PLL cards with
    blank PLL tables

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 06 Feb 2008 09:08:23 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080205-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * cbcb107... Once again kill usage of an exa private function.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 05 Feb 2008 08:59:04 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080204-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * f14d27d... Remove include guards & add copyright.
  * 7522640... Last round of fixes for nv30/40 bicubic Xv.
  * 78553ab... Fix tearing.
  * 7240f86... Understood and fixed some NV30 FP_CONTROL bits.
  * bb2a7bd... Fixes to nv30/nv40 textured video.
  * c10d30d... Misc textured video fixes.
  * cfdfd5a... Of course, add the nv30 video texture file.
  * 970a8e4... nv30 video texture. Doesn't work with bicubic yet, only
    bilinear.
  * c1eba82... Remove (void)ing that's not necessary any more.
  * 7356ad9... Remove unneeded stuff.
  * e06dfd2... Separate the shaders from the rest of the code.
  * a69c507... Macros for the PME range.
  * 47c8ed4... Add PME range.
  * 63f47c9... Small cleanups.
  * c98e9fa... nv40 video texture: first pass at bicubic video.
  * 10967a4... Update to newer nouveau_class.h
  * 82728b3... Update to latest nouveau_class.h
  * 9d9a5ac... Don't FIRE_RING() when in NoAccel mode.
  * 11c1ee1... Some minor reindenting.
  * 0db3472... exa: those limits were a bit conservative on some hw.
  * eb72e67... exa: more accurate coordinate limits
  * 8645d2d... Fix NVExaPixmapMap() for NOUVEAU_EXA_PIXMAPS case.
  * dd81efd... Fix undefined symbol.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 04 Feb 2008 09:07:47 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080203-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 2a1116c... Remove a few leftovers to actually make the last commits
    work.
  * 714bea6... Kill NVShowHideCursor and use a wrapper.
  * 741acde... Remove nvRead/WriteVGA in favor of nvRead/WriteCurVGA
    wrappers.
  * d429cab... Kill NVLockUnlock and make it redirect to
    NVLockUnlockHead.
  * dc2aee0... More wrapper death.
  * a57fd67... Let some wrappers die.
  * b9a4eb6... Undo last commit and move it to drm.
  * 288b565... NV40: Fix longstanding issue with nouveau crashing after
    using blob.
  * 0ec1b10... Don't allocate the whole AGP gart as a scratch buffer,
    since we still need to allocate the fifo afterwards.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 03 Feb 2008 09:41:50 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080202-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 5b79b0a... Don't use functions that are not supposed to be used in
    randr12 mode.
  * cedb604... Remove usage of "illegal" wrappers in code that also used
    for randr12 mode.
  * 1a52478... randr12: Remove a hack, confirmed on 7600GS that it is
    unneeded.
  * b6972e7... randr12: Some minor fixes.
  * 988dce0... NV10 EXA: limit regcomb state re-emission, fix logic for
    A8 + A8 yielding a 3% perf improvement :p

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 02 Feb 2008 10:33:49 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080201-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * a84852c... (hopefully) Fix build on powerpc.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 01 Feb 2008 09:01:37 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080131-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * e8a975e... Xv: NV30 overlay can not scale down by more than 0.5x
  * adc2689... Fail gracefully for too-big resolutions / colour depths
  * 09c9d7c... randr12: Misc change.
  * 6a46bf5... Check if the framebuffer can fit into the offscreen
    memory.
  * 9607d78... Xv: NV04 overlay can not scale down at all, as confirmed
    by DirectFB
  * 7edfb47... PBUS define additions
  * 6e09059... PCRTC define additions
  * e517993... Missed these in the ->absolute conversion
  * ee0d557... Xv: detection of composite for the overlay
  * 3a5f92d... Make bios port io use PVIO as appropriate, and have harsh
    validity checks
  * 92c0d96... Make PLL setting quieter
  * f58d174... Move some regs from nv_bios.c to nvreg.h
  * d0022c3... Tighten bios reg checks a little
  * b1b1d76... randr12: make nv4x plls less special
  * 8f05d66... Don't attempt to parse BIT D and L tables on non-mobile
    cards

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 31 Jan 2008 08:19:50 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080130-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 8e834ec... Add some mobile pci-ids, and reorder numerically
  * 0b586ae... randr12: Remove excessive writing of VTOwner.
  * c522ebb... Make sure nv04 has some defaults (as the bios parsing is
    non-existant)
  * 62b6c5f... Use absolute regs in the DDX
  * f5c9f99... Reorganise pll limit retrieval
  * 26ff67f... NV30EXA: Always init texture origin, please report if
    your viewport setup needs to be different.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 30 Jan 2008 07:58:07 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080129-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 38df9a9... Forgot to be paranoid.
  * 2ea0314... Small improvement to nouveau_dma_wait, at least makes it
    show up in profiling in a clear way.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 29 Jan 2008 09:31:33 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080128-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * dd483e2... randr12: 2nd attempt on nv11 console restore
  * 5b0fa02... Use NV_{WR,RD}08 to avoid double logging io

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 28 Jan 2008 09:17:40 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080127-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * a099bbf... randr12: remove unused PLL code
  * 0eb428e... randr12: attempt to fix brokenness of head setting /
    getting on nv11
  * eea2fd4... randr12: don't do load detection on nv11
  * a2c0fac... Assume 18 bit laptop panels by default, add a message
    that may trigger on 24 bit panels
  * ec548d2... Detect mobile BMP biosen

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 27 Jan 2008 10:14:02 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080126-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 9f932eb... NV30EXA: Fix viewport setup + switch to triangle based
    composite.
  * afca5f2... randr12: fix / annotate a couple of ddc thinkos
  * 3e6ea79... Implement opcodes 0x66, 0x67, and 0x68
  * cdae2e2... randr12: Rework native modes for TMDS.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 26 Jan 2008 10:26:39 +1100

xserver-xorg-video-nouveau (1:0.0.10~git20080125-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 4663605... oops
  * e067a0e... Use proper version.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 25 Jan 2008 08:40:44 +1100

xserver-xorg-video-nouveau (1.2.0~git20080124-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"
  * New git changelog:
  * 324c19a... Fix C51 refclk
  * 178b8bb... randr12: calculate (and set, for nv40) sel_clk before
    calculating plls
  * 8067bd0... Fix big bug in commit "Mostly log message changes".
  * c5329a4... Redo sel_clk setting and update its documentation
  * f07ab92... Fail on LVDS DCB entry parsing issues
  * 12efa8c... Mostly log message changes
  * 0faa15d... not an appropriate place for this type of thing..
  * 9e982df... randr12: Increase cvt mode to 72 Hz.
  * 71435dd... NV40EXA: Use the same approach as the texture adapter for
    rendering.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 24 Jan 2008 09:20:52 +1100

xserver-xorg-video-nouveau (1.2.0~git20080123-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 23 Jan 2008 20:37:18 +1100

xserver-xorg-video-nouveau (1.2.0~git20080122-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 22 Jan 2008 18:01:19 +1100

xserver-xorg-video-nouveau (1.2.0~git20080121-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 21 Jan 2008 10:16:57 +1100

xserver-xorg-video-nouveau (1.2.0~git20080119-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 19 Jan 2008 10:10:02 +1100

xserver-xorg-video-nouveau (1.2.0~git20080118-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 18 Jan 2008 08:54:25 +1100

xserver-xorg-video-nouveau (1.2.0~git20080117-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 17 Jan 2008 18:13:15 +1100

xserver-xorg-video-nouveau (1.2.0~git20080116-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 16 Jan 2008 09:28:05 +1100

xserver-xorg-video-nouveau (1.2.0~git20080115-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 15 Jan 2008 09:22:40 +1100

xserver-xorg-video-nouveau (1.2.0~git20080113-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 13 Jan 2008 10:04:15 +1100

xserver-xorg-video-nouveau (1.2.0~git20080111-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 11 Jan 2008 12:28:19 +1100

xserver-xorg-video-nouveau (1.2.0~git20080110-0~ppa1) hardy; urgency=low

  * New git snapshot
  * src/nv_output.c:
    + Remove previous patch.  LVDS is now enabled upstream

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 10 Jan 2008 14:33:45 +1100

xserver-xorg-video-nouveau (1.2.0~git20080108-0~ppa1) hardy; urgency=low

  * New git snapshot
  * src/nv_output.c
    + Enable LVDS with the RandR12 codepath:
      WARNING!  EXPERIMENTAL!
      If your screen "blooms" or "bleeds" (i.e. has a developing white/
      psychedelic pattern) then KILL X IMMEDIATELY, and if the effect continues
      reset power

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 08 Jan 2008 20:12:47 +1100

xserver-xorg-video-nouveau (1.2.0~git20080106-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 06 Jan 2008 21:15:45 +1100

xserver-xorg-video-nouveau (1.2.0~git20080103-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 03 Jan 2008 15:59:07 +1100

xserver-xorg-video-nouveau (1.2.0~git20080102-0~ppa1) hardy; urgency=low

  * New git snapshot

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 02 Jan 2008 16:13:41 +1100

xserver-xorg-video-nouveau (1.2.0~git20071214-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 14 Dec 2007 16:45:18 +1100

xserver-xorg-video-nouveau (1.2.0~git20071212-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 12 Dec 2007 13:19:49 +1100

xserver-xorg-video-nouveau (1.2.0~git20071202-0~ppa1) hardy; urgency=low

  * "AUTOMATED: New git snapshot"

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 02 Dec 2007 17:48:08 +1100

xserver-xorg-video-nouveau (1.2.0~git20071128-0~ppa1) hardy; urgency=low

  * New git snapshot
  * Finish up the remaining x-x-v-nouveau-trunk => x-x-v-nouveau renames

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 28 Nov 2007 19:58:21 +1100

xserver-xorg-video-nouveau (1.2.0~git20071127-0~ppa1) hardy; urgency=low

  * New git snapshot

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 27 Nov 2007 21:25:20 +1100

xserver-xorg-video-nouveau (1.2.0~git20071125-0~ppa1) hardy; urgency=low

  * New git snapshot

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 25 Nov 2007 16:15:04 +1100

Xserver-xorg-video-nouveau (1.2.0~git20071123-0~ppa1) hardy; urgency=low

  * New git snapshot
  * Add get-orig-source rule
  * Drop -trunk from package name - there are no more interesting branches
  * Drop autoreconf from rules - we do that on tarball generation now

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 23 Nov 2007 13:38:28 +1100

xserver-xorg-video-nouveau-trunk (1.2.0~git20071119-0~ppa1) hardy; urgency=low

  * New git snapshot cbd70303a949f387d42497cb4ea52186ed938b9c

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 19 Nov 2007 08:50:59 +1100

xserver-xorg-video-nouveau-trunk (1.2.0~git20071115-0~ppa1) hardy; urgency=low

  * New git snapshot 3cdc4b274f371f1f524d140fddd79dad2987b06c

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 15 Nov 2007 22:37:04 +1100

xserver-xorg-video-nouveau-trunk (1.2.0~git20071113-0~ppa1) hardy; urgency=low

  * New git snapshot e93a5d3abe6d637e00bd9c998e9735c9766eecfb

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 13 Nov 2007 09:01:23 +1100

xserver-xorg-video-nouveau-trunk (1.2.0~git20071112-0~0ppa1) hardy; urgency=low

  * New git snapshot f22691661f8b72cedb8aa4fc96b41fcff4171e12

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 12 Nov 2007 08:42:30 +1100

xserver-xorg-video-nouveau-trunk (1.2.0~git20071110-0~0ppa1) hardy; urgency=low

  * New git snapshot 77dc99b2621523e20a956a8eaa01a100c992c458

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 10 Nov 2007 16:13:20 +1100

xserver-xorg-video-nouveau-trunk (1.2.0~git20071023-0~ppa1) gutsy; urgency=low

  * New git snapshot 0fb93b45378c9d0fbee9bb96bd60d7a995c667b9

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 23 Oct 2007 09:18:45 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20071018-0~ppa1) gutsy; urgency=low

  * New git snapshot 8320f4f61ca72ee0101c1d552ea3ef28e573d21d

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 18 Oct 2007 17:33:07 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20071016-0~ppa1) gutsy; urgency=low

  * New git snapshot b36fbf174849b04928efda2909c461b6c1688cdc

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 16 Oct 2007 11:12:24 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20071015-0~ppa1) gutsy; urgency=low

  * New git snapshot 8425d93f7f932281a1b9b420e676acba2a2b5ecd
  * debian/rules:
    - Install changelogs

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 15 Oct 2007 11:18:10 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20071014-0~0ppa1) gutsy; urgency=low

  * New git snapshot 212a4cd8884ff9276f64bdd0a0115782d146e36a

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sun, 14 Oct 2007 11:34:43 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20071011-0~ppa1) gutsy; urgency=low

  * New git snapshot 879e653867552f6bb595160670c8325bcb5a0d3b
  * Add xutils-dev to fix FTBFS

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 11 Oct 2007 18:36:44 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20071009~0ppa1) gutsy; urgency=low

  * New git snapshot 43d5f747103721b3e0ccf4fe73494729ed34986c
  * Fix debian/rules to only run autoreconf once

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 09 Oct 2007 08:34:59 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070919-0ppa1) gutsy; urgency=low

  * New git snapshot bf3cceeb9c72c16a1cf601c8bd0dedd8c676e3cd

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Wed, 19 Sep 2007 21:59:07 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070916-0ppa2) gutsy; urgency=low

  * Add automake build-dep to fix FTBFS.

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Sun, 16 Sep 2007 17:13:06 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070916-0ppa1) gutsy; urgency=low

  * New git snapshot 02d5443d650e628256ebed1f331ad32b0f642a38
  * Regenerate the autotools magic on build.  Should prevent problems such as
    the removal of nv_xaa.c from happening again.

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Sun, 16 Sep 2007 17:02:52 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070910-0ppa1) gutsy; urgency=low

  * New git snapshot dedb80d1237ebacf7531938d627328a20453d5d0

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Mon, 10 Sep 2007 12:47:45 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070904-0ppa1) gutsy; urgency=low

  * New git snapshot 54ca35e7379fdb375c0d7be2f8c3ad1513be2a59

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Tue, 04 Sep 2007 09:49:11 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070831-0ppa1) gutsy; urgency=low

  * New git snapshot b680a9652508e0d0e660fd924937870cd4ad3530

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Fri, 31 Aug 2007 08:38:22 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070825-0ppa1) gutsy; urgency=low

  * New git snapshot 30d2b3f0dd4a9b6be5d3ad7a38993e5b84baf90a

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Sat, 25 Aug 2007 14:02:45 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070822-0ppa1) gutsy; urgency=low

  * New git snapshot 4fc38aeb54da1cba9d5e231a5151e6429af0ea7e

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Wed, 22 Aug 2007 20:23:13 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070817-0ppa1) gutsy; urgency=low

  * New git snapshot 1f83dbfa6ef774276e0da3dc4f74cbabe55f76fa

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Fri, 17 Aug 2007 09:01:42 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070815-0ppa1) gutsy; urgency=low

  * New git snapshot ffa62dc9f573448c8a832324973513f7ba985b33

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Wed, 15 Aug 2007 19:14:01 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070812-0ppa1) gutsy; urgency=low

  * Also ship .git directory in source tarball.  Required for useful debug info

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Sun, 12 Aug 2007 12:58:38 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070811~2-0ppa1) gutsy; urgency=low

  * New snapshot b3e4da61e8c846d8d3f01b015cb7155da4e266e9 to fix segfault on
    startup
  * Build-depend on git, so useful debug information is retained

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Sat, 11 Aug 2007 20:56:16 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070811-0ppa1) gutsy; urgency=low

  * New git snapshot a7d29fd932fe14ca5b82cda64341704164fb7e09
  * Conflict with nvidia-glx* - sadly, we don't quite work with those drivers
    installed

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Sat, 11 Aug 2007 15:00:19 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070810-0ppa1) gutsy; urgency=low

  * New git snapshot (9cc11cbc9ce10b99f72d7c08584bf61d179cdbda)
  * Stop conflicting with xserver-xorg-video-nv
  * Bump libdrm build-dep

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Fri, 10 Aug 2007 09:02:43 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070808-0ppa4) gutsy; urgency=low

  * And x11proto-gl-dev #includes files from mesa-common-dev, but doesn't
    depend on it.

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Thu, 09 Aug 2007 16:08:19 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070808-0ppa3) gutsy; urgency=low

  * Add x11proto-gl-dev to build-depends.  Why doesn't it check for that in
    configure?!

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Thu, 09 Aug 2007 15:02:18 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070808-0ppa2) gutsy; urgency=low

  * Add x11proto-xf86dri-dev to build depends.  Fix FTBFS

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Thu, 09 Aug 2007 14:20:34 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070808-0ppa1) gutsy; urgency=low

  * New git snapshot  (22e965038bbc64c7b5118fc9a03ecf5f467d1665)

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Wed, 08 Aug 2007 21:00:38 +1000

xserver-xorg-video-nouveau-trunk (1.2.0~git20070807-0ppa1) gutsy; urgency=low

  * Initial release (packaging based on xserver-xorg-video-nv)

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Tue, 07 Aug 2007 09:04:13 +1000
